Ruby: pm_instance_variable_operator_write_node Struct Reference

Ruby 4.0.5p0 (2026-05-20 revision 64336ffd0ee9e1f4c05891695a3d7b49cb709721)

Data Fields
pm_instance_variable_operator_write_node Struct Reference

InstanceVariableOperatorWriteNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_constant_id_t | name
| InstanceVariableOperatorWriteNode#name.
pm_location_t | name_loc
| InstanceVariableOperatorWriteNode#name_loc.
pm_location_t | binary_operator_loc
| InstanceVariableOperatorWriteNode#binary_operator_loc.
struct pm_node * | value
| InstanceVariableOperatorWriteNode#value.
pm_constant_id_t | binary_operator
| InstanceVariableOperatorWriteNode#binary_operator.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

InstanceVariableOperatorWriteNode.

Represents assigning to an instance variable using an operator that isn't =.

    @target += value
    ^^^^^^^^^^^^^^^^

Type: ::PM_INSTANCE_VARIABLE_OPERATOR_WRITE_NODE

Definition at line 5041 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_instance_variable_operator_write_node::base

The embedded base node.

Definition at line 5043 of file ast.h.

Referenced by pm_dump_json().

## ◆ binary_operator

pm_constant_id_t pm_instance_variable_operator_write_node::binary_operator

InstanceVariableOperatorWriteNode#binary_operator.

Definition at line 5069 of file ast.h.

Referenced by pm_dump_json().

## ◆ binary_operator_loc

pm_location_t pm_instance_variable_operator_write_node::binary_operator_loc

InstanceVariableOperatorWriteNode#binary_operator_loc.

Definition at line 5059 of file ast.h.

Referenced by pm_dump_json().

## ◆ name

pm_constant_id_t pm_instance_variable_operator_write_node::name

InstanceVariableOperatorWriteNode#name.

Definition at line 5049 of file ast.h.

Referenced by pm_dump_json().

## ◆ name_loc

pm_location_t pm_instance_variable_operator_write_node::name_loc

InstanceVariableOperatorWriteNode#name_loc.

Definition at line 5054 of file ast.h.

Referenced by pm_dump_json().

## ◆ value

struct pm_node* pm_instance_variable_operator_write_node::value

InstanceVariableOperatorWriteNode#value.

Definition at line 5064 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h